### Neues Wiki auf Basis von Hugo

Wiki
----------------
* Dokumentation der neuen Infrastruktur
* Das alte [Wiki](https://wiki.leipzig.freifunk.net/Hauptseite) wird nicht übernommen!

Struktur
----------------

Unter [content/docs](https://git.dezentrale.cloud/Freifunk-Leipzig/wiki/src/branch/master/content/docs) befindet sich der Contentent der Seite.

Bitte zuerst lokal die Veränderung durchführen und testen!

Dafür werden folgende Werkzeuge benötigt :

 * Hugo extended 0.68 oder höher
 * git
 * Texteditor eurer Wahl

Zuerst wird die Repository geclont:

```bash
git clone https://git.dezentrale.cloud/Freifunk-Leipzig/wiki.git ffl/wiki
```

Nach dem clonen muss des Verzeichnises gewechselt werden. Hier im Beispiel lautet das Verzeichnis `ffl/wiki`.

```bash
cd ffl/wiki
```

Hugo bringt einen eigenen Webserver mit. Dieser wird mit folgenden Befehl ausgeführt. 

```bash 
hugo serve
```

Die Ausgabe der Console sollte ungefähr so ausehen:

```bash
drbroiler@WorkBook:~/Dokumente/FFL/web/wiki$ hugo serve
Start building sites … 
hugo v0.95.0+extended linux/amd64 BuildDate=2022-03-21T18:19:26Z VendorInfo=debian:0.95.0-1

                   | EN  
-------------------+-----
  Pages            | 15  
  Paginator pages  |  0  
  Non-page files   |  0  
  Static files     | 80  
  Processed images |  0  
  Aliases          |  2  
  Sitemaps         |  1  
  Cleaned          |  0  

Built in 29 ms
Watching for changes in /home/drbroiler/Dokumente/FFL/web/wiki/{archetypes,content,static,themes}
Watching for config changes in /home/drbroiler/Dokumente/FFL/web/wiki/config.toml
Environment: "development"
Serving pages from memory
Running in Fast Render Mode. For full rebuilds on change: hugo server --disableFastRender
Web Server is available at http://localhost:1313/ (bind address 127.0.0.1)
Press Ctrl+C to stop
```

Der Webserver ist unter folgender URL erreichbar. http://localhost:1313/ 

Git
---------------------

Soll die Veränderung in das git übertragen werden, müssen folgende Schritte durchgeführt werden.

Fügt alle veränderten Daten in die Staging-Umgebung hinzu.

```bash
git add *
```

Die Veränderungen müssen kommentiert werden 

```bash
git commit -m "wtf submodule" 
``` 
Im letzen Schritt müssen die Daten auf den Server übertragen werden.

```bash
git push
```